/////////////////////////////////////////////////////////////////////////////
//Drive Toshiba T6963c 240x128 using AT91SAM7X256			   //
//Optimized for Keil Compiler						   //												  
//Moshtaf@yahoo.com                                                        //
////////////////////////////////////////////////////////////////////////////

#include <AT91SAM7X256.H>
#include <lib_AT91SAM7X256.h>
#include <pio.h>
#include "t6963c.h"
#include "graphic.h"
#include "imagesCode.c"

extern delay(int intDelay);

int main(void)
{

GLCD_Initalize();
GLCD_Clear_Graphic();
GLCD_Clear_Text();
GLCD_Clear_CG();


GLCD_Image(testImage1);

GLCD_Rectangle(93, 0, 147, 23);
GLCD_Rectangle(94, 1, 145, 21);

GLCD_Text_GoTo(12,1);
GLCD_Write_String("T6963C & AT91SAM7");

GLCD_Text_GoTo(12,5);
GLCD_Write_String("OPTIMIZED FOR KEIL");
GLCD_Text_GoTo(12,7);
GLCD_Write_String("RESOLUTION 240x128");

GLCD_Line(93, 36, 93, 64);
GLCD_Line(94, 36, 94, 64);
GLCD_Text_GoTo(7,15);
GLCD_Write_String("MOSHTAF@YAHOO.COM");

GLCD_Circle(46,67,15);


//LED Tester
PORTA_OUTPUT=PA19;
while(1){
SET_PORTA=PA19;
delay(368640);
RST_PORTA=PA19;
delay(368640);
}
}

